@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600&display=swap');

* {
    margin: 0;
    padding: 0;
}

html {
    font-size: 62.5%;
}

body {
    display: flex;
    flex-direction: column;
    font-family: 'Montserrat', sans-serif;
    height: 100vh;
}

header {
    background-color: #ccc;
    display: flex;
    justify-content: space-between;
    height: 5rem;
}

header h1 {
    color: #fff;
    font-size: 1.8rem;
    line-height: 5rem;
    margin: 0 2rem
}

header ul li {
    display: inline-block;
    font-size: 1.5rem;
    line-height: 5rem;
    margin: 0 2rem;
}

header ul li a {
    color: #fff;
    border-bottom: 2px solid #ccc;
    font-weight: 500;
    text-decoration: none;
    transition: border-bottom 0.25s ease;
}

header ul li a:hover {
    border-bottom: 2px solid #fff;
}

main {
    flex-grow: 1;
}

main .products h2 {
    font-size: 5rem;
    margin: 4rem 0;
    text-align: center;
}

main .products .products-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 5rem;
    margin: 0 5rem;
}

main .products .products-grid .product-card .product-image a {
    display: block;
    height: 20rem;
    text-align: center;
}

main .products .products-grid .product-card .product-image a img {
    height: 100%;
}

main .products .products-grid .product-card .product-image figure picture {
    display: inline-block;
    margin: 0 auto;
}

main .products .products-grid .product-card .product-image figure picture {
    display: inline-block;
    margin: 0 auto;
}

main .products .products-grid .product-card .product-details {
    margin: 0 auto;
    max-width: 30rem;
}

main .products .products-grid .product-card .product-details h3 {
    font-size: 1.5rem;
    margin: 1rem 0 0.5rem 0;
    line-height: 2rem;
    height: 4rem;
}

main .products .products-grid .product-card .product-details h3 a {
    border-bottom: 2px solid #fff;
    color: #00639c;
    font-weight: 600;
    text-decoration: none;
    transition: border-bottom 0.25s ease;
}

main .products .products-grid .product-card .product-details h3 a:hover {
    border-bottom: 2px solid #00639c;
}

main .products .products-grid .product-card .product-details > p {
    color: #999;
    font-size: 1.3rem;
    line-height: 1.8rem;
    height: 3.6rem;
    margin-bottom: 0.5rem;
}

main .products .products-grid .product-card .product-details > div {
    display: grid;
    grid-template-columns: 1fr 4.5rem;
}

main .products .products-grid .product-card .product-details > div .product-price p {
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
}

main .products .products-grid .product-card .product-details > div .product-price div {
    vertical-align: middle;
}

main .products .products-grid .product-card .product-details > div .product-price div span {
    color: #008500;
    font-size: 1.4rem;
    font-weight: 600;
    line-height: 1.4rem;
}

main .products .products-grid .product-card .product-details > div .product-price div i {
    background-color: #008500;
    border-radius: 50%;
    color: #fff;
    font-size: 0.9rem;
    margin-right: 0.5rem;
    padding: 0.4rem;
}

main .products .products-grid .product-card .product-details > div .order a {
    background-color: #008500;
    border-radius: 0.3rem;
    color: #fff;
    display: block;
    font-size: 1.5rem;
    line-height: 4rem;
    text-align: center;
    transition: background-color 0.25 ease;
}

main .products .products-grid .product-card .product-details > div .order a:hover {
    background-color: #007700;
}

footer{
    background-color: #ccc;
    height: 5rem;
}

footer p {
    color: #fff;
    font-size: 1.8rem;
    line-height: 5rem;
    text-align: center;
}
